# Uses of Interface
com.logicaldoc.core.metadata.AttributeOptionDAO

Packages that use AttributeOptionDAO
Package
Description
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.

## Uses of AttributeOptionDAO in com.logicaldoc.core.metadata

Classes in com.logicaldoc.core.metadata that implement AttributeOptionDAO
Modifier and Type
Class
Description
`class`
`HibernateAttributeOptionDAO`
Hibernate implementation of `AttributeOptionDAO`
Methods in com.logicaldoc.core.metadata that return AttributeOptionDAO
Modifier and Type
Method
Description
`static AttributeOptionDAO`
AttributeOptionDAO.`get()`
Gets the object available in the application context